# Function hashKey

- hashKey(obj): string

- Computes a hash of an 'obj'. Hash of a: string is string number is number as string object is either result of calling $$hashKey function on the object or uniquely generated id, that is also assigned to the $$hashKey property of the object.

  #### Parameters

  - obj: any

  #### Returns string

  hash string such that the same input will have the same hash string. The resulting string key is in 'type:hashKey' format.

  - Defined in shared/utils.js:1217